## Retrieve an AutoScientist run **get** `/api/v1/autoscientist/{experiment_id}` Retrieve an AutoScientist run ### Path Parameters - `experiment_id: string` ### Returns - `AutoscientistRun = object { id, completed_at, created_at, 9 more }` - `id: string` AutoScientist run id. - `completed_at: unknown` - `created_at: string` - `dataset_id: unknown` Public id of the dataset the run trained on. - `download_available: boolean` True when the best trained artifact can be downloaded. - `iterations_completed: number` Number of completed iterations. - `max_iterations: number` Resolved maximum number of iterations, including the model-specific default. - `model: unknown` Resolved base model id used, including an automatically selected model. - `status: "pending" or "running" or "succeeded" or 2 more` - `"pending"` - `"running"` - `"succeeded"` - `"failed"` - `"cancelled"` - `target_win_rate: number` Resolved target win rate for the AutoScientist loop, including the model-specific default. - `best_win_rate: optional unknown` Best win rate achieved so far. - `error: optional unknown` Reserved; not populated for autoscientist runs in this version. ### Example ```http curl https://api.prod.adaptionlabs.ai/api/v1/autoscientist/$EXPERIMENT_ID \ -H "Authorization: Bearer $ADAPTION_API_KEY" ``` #### Response ```json { "id": "id", "completed_at": {}, "created_at": "2019-12-27T18:11:19.117Z", "dataset_id": {}, "download_available": true, "iterations_completed": 0, "max_iterations": 0, "model": {}, "status": "pending", "target_win_rate": 0, "best_win_rate": {}, "error": {} } ```